<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Plantel extends Model
{
    protected $guarded = [];

    public $timestamps = false;

    public function planesPlantel() : BelongsToMany
    {
        return $this->belongsToMany(Plan::class);
    }

    public function planPlantel() : BelongsToMany
    {
        return $this->belongsToMany(Plane::class);
    }

    public function plantelUsuarios() : BelongsToMany
    {
        return $this->belongsToMany(User::class);
    }

    public function nivelPlantel() : BelongsToMany
    {
        return $this->belongsToMany(Nivel::class);
    }

    public function turnoPlantel() : BelongsToMany
    {
        return $this->belongsToMany(Turno::class);
    }
}
